#!/bin/sh -u

echo "Usage: distrib type version"
echo "\t type = src | bin_lin"
echo "\t version = 1.0b (for example)"

DISTRIB_NAME=mrmc_${1}_${2}.zip

# Clean all this first
make clean
cd test
./clean_all.sh
cd ..

# Prepare distribution

mkdir MRMC
cp * MRMC
rm MRMC/src_distrib.sh

mkdir MRMC/doc
cp ./doc/*.txt MRMC/doc

mkdir MRMC/include
cp ./include/*.h MRMC/include

mkdir MRMC/src
cp ./src/* MRMC/src
rm -rf MRMC/src/CVS

mkdir MRMC/launch/
cp ./launch/* MRMC/launch/
rm -rf MRMC/launch/CVS

mkdir MRMC/parser
cp ./parser/* MRMC/parser
rm -rf MRMC/parser/CVS

mkdir MRMC/test
cp -R ./test/* MRMC/test

rm -rf MRMC/test/CVS MRMC/test/*/CVS MRMC/test/*/*/CVS

#Make archive

zip -r ${DISTRIB_NAME} MRMC

#Remove the tmo dir

rm -rf MRMC

#upload the distribution
chmod a+rx ${DISTRIB_NAME}
mv ~/public_html/mrmc/downloads/${DISTRIB_NAME} ~/public_html/mrmc/downloads/${DISTRIB_NAME}~
mv ${DISTRIB_NAME} ~/public_html/mrmc/downloads/${DISTRIB_NAME}
